Imagick::separateImageChannel
Imagick::setBackgroundColor
Imagick
PHP Manual

# Imagick::sepiaToneImage

(PECL imagick 2.0.0)

Imagick::sepiaToneImage — Sepia tones an image

### Description

bool Imagick::sepiaToneImage ( float `$threshold` )

Applies a special effect to the image, similar to the effect achieved in a photo darkroom by sepia toning. Threshold ranges from 0 to QuantumRange and is a measure of the extent of the sepia toning. A threshold of 80 is a good starting point for a reasonable tone.

### Parameters

`threshold`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::sepiaToneImage()

`<?php
function sepiaToneImage($imagePath, $sepia) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->sepiaToneImage($sepia);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::separateImageChannel
Imagick::setBackgroundColor
Imagick
PHP Manual